Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1900937 - libreoffice crashes when attempting to insert pdf image
Summary: libreoffice crashes when attempting to insert pdf image
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-24 03:28 UTC by Basil Eric Rabi
Modified: 2020-12-21 07:13 UTC (History)
4 users (show)

Fixed In Version: libreoffice-7.0.3.1-4.fc33 libreoffice-7.0.4.1-1.fc34 libreoffice-7.0.4.1-1.eln107 libreoffice-7.0.4.2-2.eln108
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-28 02:03:58 UTC
Type: Bug


Attachments (Terms of Use)
Screencast (1.82 MB, video/webm)
2020-11-24 03:28 UTC, Basil Eric Rabi
no flags Details

Description Basil Eric Rabi 2020-11-24 03:28:49 UTC
Created attachment 1732817 [details]
Screencast

Description of problem:


Version-Release number of selected component (if applicable):
libreoffice-1:7.0.3.1-1.fc33.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Insert image
2. Select pdf file

Actual results:
Impress crashes.

Expected results:
Image is inserted.

Additional info:

libreoffice --impress
State is 0
State is 0
State is 0
State is 0
State is 0
State is 0
State is 0
State is 0
/usr/include/c++/10/bits/stl_vector.h:1045: std::vector<_Tp, _Alloc>::reference std::vector<_Tp, _Alloc>::operator[](std::vector<_Tp, _Alloc>::size_type) [with _Tp = Bitmap; _Alloc = std::allocator<Bitmap>; std::vector<_Tp, _Alloc>::reference = Bitmap&; std::vector<_Tp, _Alloc>::size_type = long unsigned int]: Assertion '__builtin_expect(__n < this->size(), true)' failed.


Fatal exception: Signal 6
Stack:
/usr/lib64/libreoffice/program/libuno_sal.so.3(+0x3ab63)[0x7fb1c7749b63]
/usr/lib64/libreoffice/program/libuno_sal.so.3(+0x3ad76)[0x7fb1c7749d76]
/lib64/libc.so.6(+0x3da60)[0x7fb1c7479a60]
/lib64/libc.so.6(gsignal+0x145)[0x7fb1c74799d5]
/lib64/libc.so.6(abort+0x116)[0x7fb1c74628a4]
/usr/lib64/libreoffice/program/../program/libpdffilterlo.so(+0x14434)[0x7fb1ac92c434]
/usr/lib64/libreoffice/program/../program/libpdffilterlo.so(+0x20e37)[0x7fb1ac938e37]
/usr/lib64/libreoffice/program/libvcllo.so(_ZN17VectorGraphicData22ensureSequenceAndRangeEv+0xa15)[0x7fb1c45c0c75]
/usr/lib64/libreoffice/program/libvcllo.so(_ZNK17VectorGraphicData8getRangeEv+0x9)[0x7fb1c45c1d09]
/usr/lib64/libreoffice/program/libvcllo.so(_ZNK10ImpGraphic15ImplGetPrefSizeEv+0xa3)[0x7fb1c452e113]
/usr/lib64/libreoffice/program/../program/libsdlo.so(+0x526363)[0x7fb197238363]
/usr/lib64/libreoffice/program/../program/libsdlo.so(+0x37959f)[0x7fb19708b59f]
/usr/lib64/libreoffice/program/../program/libsdlo.so(+0x4d1c59)[0x7fb1971e3c59]
/usr/lib64/libreoffice/program/libsfxlo.so(+0x21a827)[0x7fb1c62e6827]
/usr/lib64/libreoffice/program/libsfxlo.so(_ZN13SfxDispatcher14PostMsgHandlerESt10unique_ptrI10SfxRequestSt14default_deleteIS1_EE+0x199)[0x7fb1c62e90b9]
/usr/lib64/libreoffice/program/libsfxlo.so(+0x220cd4)[0x7fb1c62eccd4]
/usr/lib64/libreoffice/program/libsfxlo.so(+0x3a1f6d)[0x7fb1c646df6d]
/usr/lib64/libreoffice/program/libvcllo.so(+0x3cbbe6)[0x7fb1c43c6be6]
/usr/lib64/libreoffice/program/libvcllo.so(_ZN16SalUserEventList18DispatchUserEventsEb+0x196)[0x7fb1c461ff56]
/usr/lib64/libreoffice/program/libvclplug_gtk3lo.so(+0xd77d7)[0x7fb1b12597d7]
/lib64/libglib-2.0.so.0(+0x528ab)[0x7fb1c0adc8ab]
/lib64/libglib-2.0.so.0(g_main_context_dispatch+0x16f)[0x7fb1c0add7ef]
/lib64/libglib-2.0.so.0(+0xa55d8)[0x7fb1c0b2f5d8]
/lib64/libglib-2.0.so.0(g_main_context_iteration+0x33)[0x7fb1c0adabc3]
/usr/lib64/libreoffice/program/libvclplug_gtk3lo.so(+0xd72ac)[0x7fb1b12592ac]
/usr/lib64/libreoffice/program/libvcllo.so(+0x6685e2)[0x7fb1c46635e2]
/usr/lib64/libreoffice/program/libvcllo.so(_ZN11Application7ExecuteEv+0x45)[0x7fb1c4667835]
/usr/lib64/libreoffice/program/libsofficeapp.so(+0x39aa8)[0x7fb1c7676aa8]
/usr/lib64/libreoffice/program/libvcllo.so(_Z10ImplSVMainv+0x3a2)[0x7fb1c4671de2]
/usr/lib64/libreoffice/program/libsofficeapp.so(soffice_main+0x198)[0x7fb1c7691a98]
/usr/lib64/libreoffice/program/soffice.bin(+0x107c)[0x56315e56e07c]
/lib64/libc.so.6(__libc_start_main+0xf2)[0x7fb1c74641e2]
/usr/lib64/libreoffice/program/soffice.bin(+0x10be)[0x56315e56e0be]

Comment 1 Caolan McNamara 2020-11-24 10:11:46 UTC
reproducible

Comment 2 Caolan McNamara 2020-11-24 14:47:23 UTC
it won't work to insert a pdf as an image after this fix, but it won't crash

Comment 3 Fedora Update System 2020-11-25 12:01:16 UTC
FEDORA-2020-bdff044556 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-bdff044556

Comment 4 Fedora Update System 2020-11-27 02:09:57 UTC
FEDORA-2020-bdff044556 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-bdff044556`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-bdff044556

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-11-28 02:03:58 UTC
FEDORA-2020-bdff044556 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2020-12-04 23:25:10 UTC
FEDORA-2020-48b9f8361e has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2020-12-05 05:31:20 UTC
FEDORA-2020-90c8fb85ff has been pushed to the Fedora ELN stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2020-12-21 07:13:28 UTC
FEDORA-2020-84194f4268 has been pushed to the Fedora ELN stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.